Content-type: text/html

# RAGRAPH

Section: User Commands (1)
Updated: 21 July 2001
Index Return to Main Contents

## NAME

ragraph - graph argus(8) data.

## COPYRIGHT

Copyright (c) 2000-2007 QoSient. All rights reserved.

## SYNOPSIS

ragraph metric [object] [-M mode] [options] [raoptions]

## DESCRIPTION

Ragraph reads argus(8) data from an argus-file, and graphs fields of interest from matching argus flow activity records. You must specify the metric(s), the flow object/identifier(s) and the time granularity required for the graph. Standard raoptions are available to filter input and specify the time range of interest, and graphing options are provided to specify x and y axis labels, titles, upper and lower range limits, and plot sizes. Support for logorithmic scaling, object stacking, and split graphing are provided to provide some flexibility in the graphs you can produce.

Ragraph supports graphing most metrics that are available in argus data, including, bytes, packet counts, duration, average duration, loss, jitter, load, and rate. These metrics can be graphed in association with flow identifiers, such as source or destination address, network address, source identifier, protocol, port numbers, services, vlan id, mpls tag, ttl, and tos values. Currently, there are limits to the number of metrics and objects that can be graphed at one time, so assume that ragraph is a simple graphing tool.

By default ragraph writes its output to ragraph.png, in the current directory. Use the '-w' raoption to specify an alternate output filename.

Ragraph is implemented as a perl script front-end to the routine rabins and rrd-tool, which is used to generate PNG formatted graphs. As a result ragraph support all the raoption and many options to the rrd-tool graphing functions.

## OPTIONS

-log
  Use logarithmic scale for y-axis.
-fill
  Turn off area fill.
-stack
  Turn off data stacking.
-split
  Turn off axis splitting for src/dst(in/out) traffic.
-height
  Specify height in pixels for the graph (275 pixels)
-width
  Specify width in pixels for the graph (800 pixels)
-upper
  Specify upper bounds for graphing data (automatic).
-lower
  Specify lower bounds for graphing data (automatic). When data is split, you need to specify the value as a negative number.
-title
  Specify a graph title.

## RA OPTIONS

Ragraph, like all ra based clients, supports a number of ra options including filtering of input argus records through a terminating filter expression, and specifying an output filename using the -w option.

See ra(1) for a complete description of ra options.

## EXAMPLES

To graph the total load for the data in an argus-file argus.data at 10 second intervals:

      ragraph bytes -M 10s -r argus.data -title "Total Load"

To graph the rate (pkt/sec) on a destination port basis for the data from a specific probe in an argus-file argus.data at 1 minute intervals:

      ragraph bytes dport -M 1m -r argus.data - srcid 192.168.0.10

## AUTHORS

    Carter Bullard (carter@qosient.com).

## SEE ALSO

ragraph(5), ra(1), rarc(5), argus(8) tcpdump(1),

## Index

NAME
COPYRIGHT
SYNOPSIS
DESCRIPTION
OPTIONS
RA OPTIONS
EXAMPLES
AUTHORS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 13:20:15 GMT, May 16, 2007